%define oname	PageEdit

Name:		pageedit
Version:	0.9.5
Release:	%mkrel 1
Summary:	Simple Single Page XHTML Visual Editor, split from Sigil's BookView
License:	GPLv3
Group:		Office/Utilities
Url:		https://github.com/Sigil-Ebook/PageEdit
Source0:	https://github.com/Sigil-Ebook/PageEdit/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
An ePub visual XHTML editor based on Sigil's Deprecated BookView.
It uses WebEngine instead of WebKit.

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake_qt5 \
	-DSHARE_INSTALL_PREFIX=%{_prefix} \
	-DINSTALL_BUNDLED_DICTS=OFF
%make_build

%install
%make_install -C build

%files
%doc ChangeLog.txt README.md
%license COPYING.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Oct 15 2019 daviddavid <daviddavid> 0.9.5-1.mga7
+ Revision: 1453386
- backport pageedit for mga7

* Mon Oct 14 2019 daviddavid <daviddavid> 0.9.5-1.mga8
+ Revision: 1453275
- initial package pageedit

